%define modname radius
%define soname %{modname}.so
%define inifile A13_%{modname}.ini

Summary:	Radius client library for PHP
Name:		php-%{modname}
Version:	1.4.0b1
Release:	%mkrel 14
Group:		Development/PHP
License:	BSD
URL:		http://pecl.php.net/package/radius
Source0:	http://pecl.php.net/get/radius-%{version}.tgz
Source1:	%{modname}.ini
Patch0:		php8.patch
BuildRequires:	mercurial
BuildRequires:	php-devel >= 3:8.0.0
Requires:       php >= 3:8.1.0
Requires:       php-common = 3:8.1
Epoch:		1
%global __requires_exclude_from ^%{_docdir}

%description
This package is based on the libradius of FreeBSD, with some modifications and
extensions. This PECL provides full support for RADIUS authentication (RFC
2865) and RADIUS accounting (RFC 2866), works on Unix and on Windows. Its an
easy way to authenticate your users against the user-database of your OS (for
example against Windows Active-Directory via IAS).

%prep

%autosetup -S hg -n %{modname}-%{version}

cp %{SOURCE1} %{inifile}

%build
%serverbuild

phpize
%configure --with-libdir=%{_lib}

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/

%files
%doc examples CREDITS radius.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Fri Nov 26 2021 mokraemer <mokraemer> 1:1.4.0b1-14.mga9
+ Revision: 1759377
- rebuild for php 8.1

* Tue Dec 29 2020 mokraemer <mokraemer> 1:1.4.0b1-13.mga8
+ Revision: 1664749
- patch for php8

* Thu Jun 18 2020 mokraemer <mokraemer> 1:1.4.0b1-11.mga8
+ Revision: 1596240
- fix dep to current version

* Tue Feb 18 2020 umeabot <umeabot> 1:1.4.0b1-10.mga8
+ Revision: 1538986
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 1:1.4.0b1-9.mga8
+ Revision: 1463537
+ rebuild (emptylog)

* Mon Oct 21 2019 mokraemer <mokraemer> 1:1.4.0b1-8.mga8
+ Revision: 1454926
- removed dirname

* Wed Dec 12 2018 mokraemer <mokraemer> 1:1.4.0b1-6.mga7
+ Revision: 1340452
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 1:1.4.0b1-5.mga7
+ Revision: 1325891
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 1:1.4.0b1-4.mga7
+ Revision: 1300237
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 pterjan <pterjan> 1:1.4.0b1-3.mga7
+ Revision: 1217396
- Rebuild for php 7.2, it was built with old php on arm

* Sun Dec 03 2017 mokraemer <mokraemer> 1:1.4.0b1-2.mga7
+ Revision: 1181028
+ rebuild (emptylog)

* Mon Nov 13 2017 zezinho <zezinho> 1:1.4.0b1-1.mga7
+ Revision: 1177241
- rebuild against php 7

* Wed Mar 09 2016 oden <oden> 1:1.3.0-1.mga6
+ Revision: 988470
- 1.3.0

* Fri Feb 12 2016 umeabot <umeabot> 1:1.2.7-9.mga6
+ Revision: 958437
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:1.2.7-8.mga5
+ Revision: 745819
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 tv <tv> 1:1.2.7-7.mga5
+ Revision: 736439
- add excludes

* Wed Oct 01 2014 tv <tv> 1:1.2.7-6.mga5
+ Revision: 734241
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 1:1.2.7-5.mga5
+ Revision: 687540
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 1:1.2.7-4.mga5
+ Revision: 616579
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 1:1.2.7-3.mga4
+ Revision: 567638
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 1:1.2.7-2.mga4
+ Revision: 528892
- Mageia 4 Mass Rebuild

* Fri Jun 28 2013 oden <oden> 1:1.2.7-1.mga4
+ Revision: 448047
- 1.2.7 (security fix)

* Mon Jun 24 2013 oden <oden> 1:1.2.6-1.mga4
+ Revision: 446196
- 1.2.6

* Thu Jun 13 2013 oden <oden> 1:1.2.5-28.mga4
+ Revision: 442692
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 1:1.2.5-27.mga3
+ Revision: 393315
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1:1.2.5-26.mga3
+ Revision: 377535
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 10 2012 spuhler <spuhler> 1:1.2.5-25.mga3
+ Revision: 329262
- bumped rel for rebuild against new php-devel

* Sun Jul 15 2012 spuhler <spuhler> 1:1.2.5-24.mga3
+ Revision: 270831
- Rebuilt for php-5.4

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1:1.2.5-23.mga2
+ Revision: 223931
- httpd restart is handled by filetriggers now
+ spuhler <spuhler>
- removed buildroot definition from .spec

* Sun Jan 30 2011 spuhler <spuhler> 1:1.2.5-22.mga1
+ Revision: 44485
- imported package php-radius

